%global pkg_name        Getopt-Long
%global pkg_version     2.37
%global rpm_pkg_version 2.37
%global rpm_pkg_release 1.n0i.2

Summary:       Advanced handling of command line options
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JV/JV/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 1.14


%description
Module Getopt::Long implements an extended getopt function called
GetOptions(). This function implements the POSIX standard for command
line options, with GNU extensions, while still capable of handling
the traditional one-letter options.
In general, this means that command line options can have long names
instead of single letters, and are introduced with a double dash '--'.
Optionally, Getopt::Long can support the traditional bundling of
single-letter command line options.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorlib}/newgetopt.pl
%doc Announce CHANGES examples/ README


%changelog
* Sat Sep 29 2007 Marius Feraru <altblue@n0i.net> - 0:2.37-1.n0i.2
- version 2.37

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0:2.36-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 2.36
